CHOWN(1)

NOM
chown - Modifier le propriétaire et le groupe d'un fichier

SYNOPSIS
chown [options] propriétaire[:groupe] fichier...

Options POSIX : [-R] [--]

Options GNU (forme courte) : [-cfhvR] [--dereference]" [--reference=rfile] [--help] [--version] [--]

DESCRIPTION
([NDT] chown = change owner). chown modifie l'utilisateur et/ou le groupe propriétaire de chacun des fichiers indiqués, en fonction du premier argument rencontré sur la ligne de commande, et qui ne soit pas une option. Si l'on indique uniquement un nom d'utilisateur (ou un UID numérique), celui-ci devient le propriétaire des fichiers donnés, mais les groupes de ces fichiers ne sont pas modifiés. Si le nom d'utilisateur est suivi d'un deux-points, et d'un nom de groupe (ou d'un GID numérique), les fichiers changent également de groupe.

SPÉCIFICITÉS GNU
La version GNU de chown accepte également un point pour séparer le nom d'utilisateur de celui du groupe. Posix réclame un double-point car il autorise l'utilisation du point comme caractère d'un nom d'utilisateur. Si le nom d'utilisateur est suivi d'un double-point, sans nom de groupe, les fichiers appartiendront au groupe de l'utilisateur mentionné. Si l'on fournit un nom de groupe, précédé d'un double-point, mais sans préciser de nom d'utilisateur, seul l'appartenance au groupe est modifiée. chown a les mêmes effets que chgrp.

OPTIONS POSIX

-R  Modifier récursivement l'appartenance des répertoires et de leurs contenus.

--  Indique la fin explicite de la liste des options.

OPTIONS GNU

-c, --changes
    Ne décrire que les fichiers dont l'appartenance est modifiée.

-f, --silent, --quiet
    Ne pas afficher de message d'erreur concernant les fichiers dont l'appartenance n'a pas pu être modifiée.

-h, --no-dereference
    Agir sur un lien symbolique lui-même et non pas sur la cible vers laquelle il pointe. Ceci n'est possible que si l'appel système lchown() est disponible dans le noyau.

-v, --verbose
    Décrire les changements de propriétés.

-R, --recursive
    Modifier récursivement l'appartenance des répertoires et de leurs contenus. I.TP --dereference Changer l'appartenant de la cible d'un lien symbolique plutôt que du lien symbolique lui-même (Nouveaute fileutils-4.0).

--reference=rfile
    (Nouveauté fileutils 4.0.) Changer l'appartenance des fichiers de manière identique à rfile.

OPTIONS STANDARDS GNU

--help
    Afficher un message d'aide sur la sortie standard, et terminer normalement.

--version
    Afficher le numéro de version sur la sortie standard, et terminer normalement.

--  Termine la liste des options.

ENVIRONNEMENT
LANG, LC_ALL, LC_CTYPE et LC_MESSAGES ont leurs significations habituelles.

CONFORMITÉ
POSIX.2 n'autorise pas l'utilisation du point comme séparateur de nom d'utilisateur et de groupe.

NOTES
Cette page décrit chown trouvée dans le paquetage fileutils-4.0, d'autres versions peuvent différer légèrement.

TRADUCTION

Ce document est une traduction réalisée par Christophe Blaess <http://www.blaess.fr/christophe/> le 14 décembre 1996 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 chown ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.